> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List training jobs



## OpenAPI

````yaml api-reference/openapi.json get /{character_id}/training/jobs
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/training/jobs:
    get:
      tags:
        - Character Training
      summary: List training jobs
      operationId: listTrainingJobs
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Training jobs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingJobsResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    TrainingJobsResponse:
      type: object
      properties:
        training_jobs:
          type: array
          items:
            $ref: '#/components/schemas/TrainingJob'
        total:
          type: integer
    TrainingJob:
      type: object
      properties:
        job_id:
          type: string
        character_id:
          type: string
        job_type:
          type: string
        status:
          type: string
        training_service_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        progress:
          type: integer
        training_phase:
          type: string
        eta_minutes:
          type: number
        training_speed:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````